﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DateTimeAxis_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class ViewModel : ObservableCollection<DataValues>
    {
        public ViewModel()
        {
            DateTime date = new DateTime(2012, 3, 1, 5, 30, 20);

            Add(new DataValues(date.AddHours(2), 10));
            Add(new DataValues(date.AddHours(5), 15));
            Add(new DataValues(date.AddHours(7), 20));
            Add(new DataValues(date.AddHours(10), 25));
            Add(new DataValues(date.AddHours(12), 30));
        }
    }

    public class DataValues
    {
        public DateTime Time { get; set; }

        public double Count { get; set; }

        public DataValues(DateTime time, double count)
        {
            Time = time;
            Count = count;
        }
    }
}
